Skip to main content
v1

get_v1_agents

GET /v1/agents: request parameters and responses.

GET /v1/agents

Parameters

NameInRequiredTypeDescription
configqueryNobooleanWhen true, include version/path/configOptions (slower)
no_cachequeryNobooleanWhen true, bypass version cache

Parameter schemas

[
  {
    "name": "config",
    "in": "query",
    "description": "When true, include version/path/configOptions (slower)",
    "required": false,
    "schema": {
      "type": "boolean",
      "nullable": true
    }
  },
  {
    "name": "no_cache",
    "in": "query",
    "description": "When true, bypass version cache",
    "required": false,
    "schema": {
      "type": "boolean",
      "nullable": true
    }
  }
]

Responses

200

List of v1 agents

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/AgentListResponse"
  }
}

Related schemas: AgentListResponse.

401

Authentication required

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.